package br.com.senac.dao;

import java.util.List;

import br.com.senac.model.Pojo;

public interface DAO<T extends Pojo> {
	public T findById(int id);
	public List<T> findAll();
	public List<T> findByCriteria(String query);
}
